
% the easiest way to impose the Canadian Archipelago
% (to know which layer the Bering Strait throughflow
%  should be fed into) is to create an artificial
% hydrographic section from SAC climatology.
%  
% This routine crease a fake section, "arch.mat",
% from the climatology.

clear all;

% include Silicate information from AR07w_a
load /export/lasalle1/hydrography/WOCE/AR07w_a/AR07w_a ...
        lon lat ctdpres ctdtemp ctdsal heads units botSILCAT
q=find(lat>-999);
heads2=heads;units2=units;
lon2=lon(q);lat2=lat(q);ctdpres2=ctdpres;
ctdtemp2=ctdtemp(:,q);ctdsal2=ctdsal(:,q);
botSILCAT2=botSILCAT(:,q);
clear lon lat ctdpres ctdtemp ctdsal heads units botSILCAT
save eraseme

load /home/lasalle0/scratch/sac/sac 

q=find(lat_sac>78.5 & lat_sac<79.5);
q2=find(lon_sac>286 & lon_sac<291);

lon=lon_sac(q2);
lat=lat_sac(q)*ones(size(lon));
ctdpresT=depth_sac;
ctdsalT=salt_sac(:,q,q2);
ctdtempT=temp_sac(:,q,q2);

ctdsalT=reshape(ctdsalT,[length(ctdpresT) length(lon)]);
ctdtempT=reshape(ctdtempT, ...
	[length(ctdpresT) length(lon)]);
% drop values below deepest obs in "section"
q=max(find(isfinite(nanmean(ctdsalT'))));
ctdpresT=ctdpresT(1:q);
ctdsalT=ctdsalT(1:q,:);
ctdtempT=ctdtempT(1:q,:);

load /home/lasalle1/hydrography/WOCE/A05/a05fs ctdpres;
q=find(ctdpres<=max(ctdpresT));
ctdpres=ctdpres(q);
ctdsal=NaN*ones(length(ctdpres),length(lon));
ctdtemp=ctdsal;ctdoxy=ctdsal;
for i=1:length(lon);
  q=find(isfinite(ctdsalT(:,i)));
  ctdsal(:,i)=interp1(ctdpresT(q),ctdsalT(q,i), ...
        ctdpres,'linear');
  q=find(isfinite(ctdtempT(:,i)));
  ctdtemp(:,i)=interp1(ctdpresT(q),ctdtempT(q,i), ...
        ctdpres,'linear');
end;
clear *_sac ctd*T;

%q=find(isnan(nanmean(ctdtemp')'));
%ctdpres(q)=[];
%ctdsal(q,:)=[];
%ctdtemp(q,:)=[];
%ctdoxy(q,:)=[];

stnnbr=(1:length(lon))';
st_order=stnnbr;
time=NaN*ones(size(lon));

heads=cellstr('NOTHING');
units=cellstr('NOTHING');
botNOTHING=ones(size(ctdtemp));
bottom=NaN*ones(size(stnnbr));
for i=1:length(stnnbr);
  q=find(isfinite(ctdtemp(:,i)));
  bottom(i)=max(ctdpres(q));
end;

expocode='SAC climatology';
section='Canadian archipelago throughflow';
sortvar=3;

q=find(lon>180);
lon(q)=lon(q)-360;

clear q q2 i;

% use AR07w_a silicate to fill NaNs
load eraseme;
property='botSILCAT';
interpprop;

save arch;
